Opera Mini Longer Compatible for OverDrive E-Books

  • The Overdrive app, which allows users to read library books through a web browser, is no longer compatible with Opera Mini. When I attempted to open an e-book in Opera Mini, that error message appeared. Can this situation be fixed? Thanks!

  • Oops, I meant to post "Opera Mini No Longer Compatible for OverDrive E-Books" as my original post title.

    I contacted the OverDrive app support as well. It seems that Opera Mini doesn't include the native specifications necessary to support the app. It's likely the last update removed some attribute that was needed to work with the OverDrive app, which is unfortunate.

    OverDrive Support Answer:
    "OverDrive Read is a browser-based eBook reader that works on most tablets, phones, and computers running web browsers with HTML5 support.

    For the best reading experience, we recommend using a browser that natively supports the HTML5 and CSS3 features OverDrive Read eBooks require, like one of these:

    Chrome
    Firefox
    Safari
    Internet Explorer 10 or better"
Log in to reply
 

Looks like your connection to Opera forums was lost, please wait while we try to reconnect.